Ruby - Feature #4896

Add newpad() support to Curses
06/18/2011 06:41 AM - drbrain (Eric Hodel)

Status: Closed

Priority: Normal

Assignee: shugo (Shugo Maeda)
Target version: 2.0.0

Description

The ruby curses library lacks support for scrolling regions via newpad(). This patch adds support for newpad() as a subclass of
Curses::Window.

May | apply it?

Associated revisions

Revision e5f8aa95 - 07/17/2011 03:10 PM - shugo (Shugo Maeda)

e ext/curses/curses.c: added the new class Curses::Pad, which
supports scrolling. patch by Eric Hodel. [Feature #4896]
[ruby-core:37206]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32576 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/28/2011 06:13 AM - nahi (Hiroshi Nakamura)

- Target version changed from 1.9.3 to 2.0.0

#2 - 06/28/2011 06:43 AM - drbrain (Eric Hodel)

Why was this moved to 1.9.x?

| have used this patch to write a browser-like tool and it seems to work OK.
Can we have this in 1.9.3?

#3 - 06/28/2011 07:03 AM - nahi (Hiroshi Nakamura)

- Status changed from Open to Assigned

- Assignee set to shugo (Shugo Maeda)

- Target version changed from 2.0.0 to 1.9.3

My bad, | though curses does not have a maintainer, so | moved this out from 1.9.3.
Shugo, please handle this.

1.9.3 feature is said to be freezed by Yugui, so it should be delayed to 1.9.4 in general. But all scheduled milestones are delaying so there might be a
chance to be included in 1.9.3.

#4 - 06/29/2011 05:53 PM - zenspider (Ryan Davis)

| thought feature freeze was pushed back to end of June?
#5 - 06/30/2011 11:44 AM - shugo (Shugo Maeda)
Hiroshi Nakamura wrote:

My bad, | though curses does not have a maintainer, so | moved this out from 1.9.3.
Shugo, please handle this.

1.9.3 feature is said to be freezed by Yugui, so it should be delayed to 1.9.4 in general. But all scheduled milestones are delaying so there might
be a chance to be included in 1.9.3.

The patch looks good, but | can't decide it should be included in 1.9.3 or not.
| defer to Yugui's judgement.
#6 - 07/10/2011 03:38 PM - naruse (Yui NARUSE)

- Target version changed from 1.9.3 to 2.0.0

#7 - 07/18/2011 12:10 AM - shugo (Shugo Maeda)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32576.
Eric, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e ext/curses/curses.c: added the new class Curses::Pad, which
supports scrolling. patch by Eric Hodel. [Feature #4896]
ruby-core:37206

Files
curses.c.pad.patch 5.95 KB 06/18/2011 drbrain (Eric Hodel)
06/15/2025 2/2
